Foreman - Feature #14245

Create new template helper setting('global_setting_name")
03/17/2016 03:31 AM - Lukas Zapletal

Status: New

Priority: Normal
Assignee: Lukas Zapletal
Category: Templates

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

That can be used to activate discovery in Global PXE default when it's active. This is generic enough to be used in other cases.

Related issues:
Related to Foreman - Feature #7828: Provide base URL of Foreman via foreman_url Duplicate 10/07/2014

History

#1 - 03/17/2016 03:31 AM - Lukas Zapletal

- Related to Feature #7828: Provide base URL of Foreman via foreman_url added
#2 - 03/17/2016 03:42 AM - Marek Hulan
We already have Setting.something which is forbidden in safe mode since settings can contain sensitive information (e.g. default root password,

oauth secrets etc). Or would you like to allow just whitelisted settings?

#3 - 03/17/2016 08:39 AM - Bryan Kearney
- Bugzilla link set to 1176111

#4 - 03/17/2016 01:03 PM - Lukas Zapletal

Yeah my idea was to whitelist them.

#5 - 03/18/2016 08:23 AM - Marek Hulan
ok, then +1 :-)

#6 - 03/21/2016 06:52 AM - Lukas Zapletal
- Bugzilla link deleted (1176111)
http://projects.theforeman.org/projects/foreman/wiki/templatewriting#Settings
